import { Subject } from 'rxjs/Subject';
import { Observable } from 'rxjs/Observable';
export declare class Utils {
    static _uniqueNumber: number;
    static nextUID: () => string;
    /**
     * Creates a unique id for submit form.
     *
     * @static
     * @returns
     *
     * @memberOf utils
     */
    static uniqueID(): string;
    /**
     * Validate input and returns true if input is an element
     *
     * @static
     * @param {*} _input
     * @returns {boolean} True if `value` is a DOM element (or wrapped jQuery element).
     *
     * @memberOf FileManager
     */
    static isElement(_input: any): boolean;
    /**
     * Validate input and returns true if input is a string
     *
     * @static
     * @param {*} _input
     * @returns {boolean}
     *
     * @memberOf Utils
     */
    static isString(_input: any): boolean;
    static extendValue(...args: any[]): any;
    static asObservable(subject: Subject<any>): Observable<{}>;
}
